/// <reference types="react" />
import React, { Component, ReactNode } from 'react';
import { ViewStyle, ViewProperties } from 'react-native';
export interface PropDefine extends ViewProperties {
    children?: ReactNode;
    multiple?: boolean;
    selected?: any[];
    onChange?: (value: any, index: number | any[]) => void;
    style?: ViewStyle;
    value?: any;
}
export declare class Props implements PropDefine {
    multiple: boolean;
    onChange: () => void;
}
export default class Select extends Component<PropDefine, {}> {
    static defaultProps: Props;
    private _values;
    private _selected;
    /**
     * 选中某一条(index)
     * @memberof Select
     */
    onSelect: (index: number) => void;
    /**
     * 判断item是否被选中
     * @memberof Select
     */
    isSelected: (itemInstance: any, index: number) => boolean;
    /**
     * 渲染条子们
     * @memberof Select
     */
    renderItems: () => React.ReactNode;
    /**
     * 渲染单个item
     * @memberof Select
     */
    renderItem: (item: any, index: number) => React.ReactNode;
    render(): JSX.Element;
}
